Update pass geofence by ID
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({altitude: 123, relevantText: '<string>', latitude: 0, longitude: 0})
};
fetch('https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altitude": 123,
"relevantText": "<string>",
"latitude": 0,
"longitude": 0
}
'import requests
url = "https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId}"
payload = {
"altitude": 123,
"relevantText": "<string>",
"latitude": 0,
"longitude": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"latitude": 123,
"id": "<string>",
"longitude": 123,
"altitude": 123,
"relevantText": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Engagement
Update pass geofence by ID
Update a specific geofence on a pass. Supports partial updates.
PATCH
https://api.platform.getstell.com
/
v1
/
passes
/
{passId}
/
geofences
/
{geofenceId}
Update pass geofence by ID
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({altitude: 123, relevantText: '<string>', latitude: 0, longitude: 0})
};
fetch('https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request PATCH \
--url https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"altitude": 123,
"relevantText": "<string>",
"latitude": 0,
"longitude": 0
}
'import requests
url = "https://api.platform.getstell.com/v1/passes/{passId}/geofences/{geofenceId}"
payload = {
"altitude": 123,
"relevantText": "<string>",
"latitude": 0,
"longitude": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"latitude": 123,
"id": "<string>",
"longitude": 123,
"altitude": 123,
"relevantText": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Body
application/json
Request to update a geofence on a pass.
Was this page helpful?